package com.bytedance.android.livesdk.gift.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class GiftCollectionHistoryRequestParams {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    public static final Long LJ = 0L;
    @c(LIZ = "gift_id")
    public Long LJFF;
    @c(LIZ = "anchor_id")
    public Long LJI;
    @c(LIZ = "room_id")
    public Long LJII;
    @c(LIZ = "offset")
    public Long LJIIIIZZ;
    @c(LIZ = "size")
    public Long LJIIIZ;

    static {
        Covode.recordClassIndex(16395);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJFF != null) {
            sb.append(", gift_id=");
            sb.append(this.LJFF);
        }
        if (this.LJI != null) {
            sb.append(", anchor_id=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", room_id=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", offset=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", size=");
            sb.append(this.LJIIIZ);
        }
        sb.replace(0, 2, "GiftCollectionHistoryRequestParams{");
        sb.append('}');
        return sb.toString();
    }
}
